
#ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH			:=	$(call my-dir)

include $(CLEAR_VARS)

CROSS_COMPILE			:=	$(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.9.2/bin/armv7a-cros-linux-gnueabi-
TARGET_LINUXPATH		:=	$(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL		:=	$(PRODUCT_OUT)/kernel

LED_DSPWM_MODULE		:=	$(LOCAL_PATH)/leds-dspwm.ko
LED_DSPWM_SUBDIRS		:=	$(CURDIR)/$(LOCAL_PATH)
LED_DSPWM_SRC_FILES		:=	$(addprefix $(LED_DSPWM_SUBDIRS)/,leds-dspwm.c)
LED_DSPWM_CLEANUP		:=	$(addprefix $(LED_DSPWM_SUBDIRS)/,	\
								*.o								\
								*.mod.?							\
								.*cmd							\
								.tmp_versions					\
								Module.symvers					\
								modules.order					\
							)

LOCAL_MODULE			:=	leds-dspwm.ko
LOCAL_MODULE_TAGS		:=	debug
LOCAL_MODULE_CLASS		:=	ETC
LOCAL_MODULE_PATH		:=	$(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES			:=	leds-dspwm.ko


$(LED_DSPWM_MODULE) : $(TARGET_PREBUILT_KERNEL) $(LED_DSPWM_SRC_FILES) $(LED_DSPWM_SUBDIRS)/Android.mk $(LED_DSPWM_SUBDIRS)/Makefile
	@make ARCH=arm CROSS_COMPILE=$(CROSS_COMPILE) -C $(TARGET_LINUXPATH) SUBDIRS=$(LED_DSPWM_SUBDIRS) modules
	@$(CROSS_COMPILE)strip --strip-unneeded $@
	@rm -rf $(LED_DSPWM_CLEANUP)


include $(BUILD_PREBUILT)

#endif
