
#ifndef __LEDS_DSPWM_H__INCLUDED__
#define __LEDS_DSPWM_H__INCLUDED__


#define LEDSDSPWM_WRGB(name, w, r, g, b)	{ name, 4, 0, { (s16)(b), (s16)(g), (s16)(r), (s16)(w) } }
#define LEDSDSPWM_RGB(name, r, g, b)		{ name, 3, 0, { (s16)(b), (s16)(g), (s16)(r)           } }
#define LEDSDSPWM_MONO(name, n)			{ name, 1, 0, { (s16)(n)                               } }
#define LEDSDSPWM_END				{ NULL, 0, 0, { 0                                      } }


struct ledsdspwmdata {
	char			const *p_name;
	u8			count;
	u8			reserved;
	s16			port[4];
};


#endif/*__LEDS_DSPWM_H__INCLUDED__*/
